figure img {
    border-radius: 0.25rem;
    object-fit: cover;
    display: block;
}

figure video {
    display: block;
}

figure li {
    padding: 0;
    margin: 0;
}

figure ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 1rem;
    line-height: 0;
    margin-bottom: 1rem;
}

figcaption ul {
    display: flex;
    flex-direction: column;
    line-height: 1.5rem;
    gap: 0;

    pointer-events: none;
}

section figure,
section iframe,
.is_grid video {
    width: 100%;
    height: auto;
    border-radius: 0.25rem;
}

iframe {
    border: none;
    border-radius: 0.25rem;
}

#meta ul li {
    background-color: white;
    padding: 0.25rem 0.5rem;
    width: fit-content;
    border-radius: 0.25rem;
    margin-top: 0.25rem;
    margin-bottom: 0.5rem;
    display: inline-block;
    line-height: 1.5rem;
    text-transform: capitalize;
}

.list ul li {
    line-height: 1.875rem;
    margin-bottom: .625rem;
}

.list ul li a {
    text-decoration: underline;
}

.heading {
    /*
    width: fit-content;
    border-radius: 0.25rem;
    margin-top: 1.5rem;
    margin-bottom: 0.25rem;
    */
    grid-column-start: 2;
    grid-column-end: 10;
}

h1, h2, h3 {
    font-weight: 500;
}

h3 {
    margin-bottom: 0.875rem;
}

section #meta {
    padding-bottom: 0.25rem;
}

.text p {
    font-size: 1.25rem;
    line-height: 1.875rem;
    font-weight: 400;
    margin-bottom: 1.875rem;
}

.text {
    grid-column-start: 2;
    grid-column-end: 10;
    font-size: inherit;
}



/* Container for the slider */

.slider-container {
    position: relative;
    max-height: 600px;      /* Adjust to your preferred width */ 
    overflow: hidden;
    margin: 0 -1rem;

    touch-action: pan-y;
}

/* Slider that holds all the images */

.slider {

    display: flex;           /* arrange slides in a row */
    transition: transform 0.4s ease-in-out; /* smooth sliding */
}

.slider-images {
    position: relative;
}

.slider img {
    height: 600px;
    width: auto;
}

.slide {
/*    margin-left: 1rem; */
    flex: 0 0 auto;          /* slide width based on image naturally */
/*    height: auto; */           /* keep aspect ratio */ 
    object-fit: contain;     /* ensures image fits without cropping */
    border-radius: 0.5rem;
}

.slide.active {
    display: block; /* Only show the active image */
    border-radius: 0.5rem;
}

.pagination {
    position: absolute;
    bottom: 1rem;
    left: 2rem;
    z-index: 3999;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 0.25rem 0.5rem;
    border-radius: 0.25rem;
    width: fit-content;
}

.prev, .next {
    position: absolute;
    top: 0;
    height: 100%; 
    width: 50%;
    color: white;
    font-size: 18px;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0);
    border: none;
    user-select: none;
}

.prev {
    left: 0;
    background-size: contain; /* or 100% 100% */
    cursor: url("../arrow_left.png") 50 50, e-resize;
}

.next {
    right: 0;
    background-size: contain; /* or 100% 100% */
    cursor: url("../arrow_right.png") 50 50, e-resize;
}

.related_projects {
    padding: 1rem;
    margin-bottom: 6rem;
}

.hero-project .rike {
    text-shadow: 0px 0px 200px black;
}



.hide {
    display: none;
}




.video-wrapper,
.video-consent-wrapper {
    width: 100%;
    background-color: white;
    border-radius: 0.25rem;
}

.video-wrapper video,
.video-consent-wrapper iframe {
    width: 100%;
    height: 100%;
    display: block;
}

.load-video-btn {
    font-family: inherit;

    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    background-color: blueviolet;
    color: white;
    border: none;
    border-radius: 0.5rem;
    cursor: pointer;
    z-index: 10;

    align-self: center;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
}

.consent-text-wrapper {
    display: flex;
    flex-direction: column;
}
.consent-text {
    font-size: 1rem;
    width: 100%;
    text-align: center;
    padding: 0  4rem 2rem 4rem;
}

.consent-text a {
    text-decoration: underline;
}

.copyright {
    font-size: 1rem;
    width: 100%;
    z-index: 9999;
    position: relative;
    color: white;
    bottom: 3rem;
    text-align: right;
    padding-right: 2rem;

    pointer-events: none;
}




/* * * * * * *   MOBILE   * * * * * * */ 



@media (max-width: 600px) {

    .hero-project img {
        min-width: 100%;
        object-fit: cover;

    }

    .hero-project {
        height: 75vh;
        border-radius: 1rem;
    }

    .text p,
    .list ul li {
        font-size: 1.25rem;
        line-height: 1.5rem;
        hyphens: auto;
        hyphenate-limit-chars: auto 3;
        
    }

    figure ul {
        display: flex;
        flex-direction: column;
        /* gap: 1rem; */
    }

    .slider-container {
        max-height: 220px;
        touch-action: pan-y;
    }

    .slider img {
        aspect-ratio: auto;
        height: 220px;
    }

    .prev,
    .next {
        display: none;
        pointer-events: none;
    }

    .consent-text {
        font-size: 0.8rem;
        line-height: 1rem;

        padding: 0  1rem 1rem 1rem;
    }

    .load-video-btn {
        padding: 0.75rem 1.5rem;
        font-size: 0.8rem;
    }



}



